# class XMLHttpRequestUpload

#### package js.html

#### extends XMLHttpRequestEventTarget › EventTarget

Available on HTML5

### Inherited Variables

#### Defined by XMLHttpRequestEventTarget

###

`onabort:Function`

###

`onerror:Function`

###

`onload:Function`

###

`onloadend:Function`

###

`onloadstart:Function`

###

`onprogress:Function`

###

`ontimeout:Function`

### Inherited Methods

#### Defined by EventTarget

###

`addEventListener (type:String, listener:Function, capture:Bool = false):Void`

`addEventListener (type:String, listener:EventListener, capture:Bool = false, ?wantsUntrusted:Bool):Void`

Throws:

`null` | DOMError

###

`dispatchEvent (event:Event):Bool`

Throws:

`null` | DOMError

###

`removeEventListener (type:String, listener:Function, capture:Bool = false):Void`

`removeEventListener (type:String, listener:EventListener, capture:Bool = false):Void`

Throws:

`null` | DOMError